﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.Win.C1Chart;

namespace Sample_MovableAxis
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private int X;
        private int Y;
        private Pen pen = new Pen(Color.Red);  
      
        private void Form1_Load(object sender, EventArgs e)
        {
            c1Chart1.Header.TooltipText = "This is header tooltip.\r\nSecond line.";
            c1Chart1.Footer.TooltipText = "This is footer tooltip.\r\nSecond line.";
            c1Chart1.ChartArea.AxisX.TooltipText = "X-Axis";
            c1Chart1.ChartArea.AxisY.TooltipText = "Y-Axis";
        }

        private void c1Chart1_Paint(object sender, PaintEventArgs e)
        {
            if (X > 75 && X < 700)                    
            {
                Graphics g = e.Graphics;               
                g.DrawLine(pen, X, c1Chart1.ChartArea.PlotArea.Location.Y, X, c1Chart1.ChartArea.PlotArea.Location.Y + c1Chart1.ChartArea.PlotArea.Size.Height);         // DrawLine
                double numofpoints = c1Chart1.ChartArea.AxisY.Max - c1Chart1.ChartArea.AxisY.Min;
                double unitmajor = c1Chart1.ChartArea.AxisY.UnitMajor;
                double ymin = c1Chart1.ChartArea.AxisY.Min;

                float x = 0, ypoint = 0;

                for (int i = 0; i <= (int)numofpoints / unitmajor; i++)
                {
                    c1Chart1.ChartGroups[0].DataCoordToCoord(0, ymin + (i * unitmajor), ref x, ref ypoint);
                    g.DrawString((ymin + (i * unitmajor)).ToString(), new Font("Microsoft Sans Serif", 8.25f), new SolidBrush(Color.Red), X, ypoint - 5);
                    ypoint = ypoint - (25 * (float)unitmajor);
                }

            }
        }

        private void c1Chart1_MouseMove(object sender, MouseEventArgs e)
        {
            X = e.X;
            Y = e.X;
            Invalidate(true);
        }
     }
}
    